## Class jvLite

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - java.applet.Applet
        - - jvLite

- All Implemented Interfaces:
    java.awt.event.KeyListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, java.util.EventListener, javax.accessibility.Accessible

      public final class jvLite
      extends java.applet.Applet
      implements java.lang.Runnable, java.awt.event.KeyListener, java.awt.event.WindowListener

  Applet runs jvLite, a light version of the JavaView viewer. jvLite does not have a control panel or any other GUI features. Also most geometry classes are eliminated except `jv.project.PgJvxSrc`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `jvLite()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Does clean-up when applet is destroyed by the browser.
    `void` | `finalize()`
    `java.lang.String` | `getAppletInfo()` Interface of applet to inform about author, version, and copyright
    `java.lang.String` | `getParameter(java.lang.String parm)` Overwrite method to distinguish between standalone and applet version.
    `void` | `init()` Create thread that configures and initializes the viewer, loads system and user projects.
    `void` | `keyPressed(java.awt.event.KeyEvent event)` Handles only the emergency exit of JavaView Lite when pressing ctrl-shift-x.
    `void` | `keyReleased(java.awt.event.KeyEvent event)` Event currently not handled.
    `void` | `keyTyped(java.awt.event.KeyEvent event)` Event currently not handled.
    `static void` | `main(java.lang.String[] args)` Standalone application support.
    `void` | `paint(java.awt.Graphics g)` Print info while initializing applet and viewer.
    `void` | `run()` Configure and initialize the viewer, load system and user projects.
    `void` | `stop()` Stop viewer, e.g. stop animation if requested
    `void` | `windowActivated(java.awt.event.WindowEvent event)` Select display if window is instance of class Frame containing a display.
    `void` | `windowClosed(java.awt.event.WindowEvent event)` No method body, just declared to fulfill interface WindowListener.
    `void` | `windowClosing(java.awt.event.WindowEvent event)` Exit the application, or, if run as applet, close window.
    `void` | `windowDeactivated(java.awt.event.WindowEvent event)` No method body, just declared to fulfill interface WindowListener.
    `void` | `windowDeiconified(java.awt.event.WindowEvent event)` No method body, just declared to fulfill interface WindowListener.
    `void` | `windowIconified(java.awt.event.WindowEvent event)` No method body, just declared to fulfill interface WindowListener.
    `void` | `windowOpened(java.awt.event.WindowEvent event)` No method body, just declared to fulfill interface WindowListener.

    - ### Methods inherited from class java.applet.Applet

      `getAccessibleContext, getAppletContext, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameterInfo, isActive, isValidateRoot, newAudioClip, play, play, resize, resize, setStub, showStatus, start`

    - ### Methods inherited from class java.awt.Panel

      `addNotify`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### jvLite

          public jvLite()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Does clean-up when applet is destroyed by the browser. Here we just close and dispose all our control windows.
      Overrides:
        `destroy` in class `java.applet.Applet`

    - #### stop

          public void stop()

      Stop viewer, e.g. stop animation if requested
      Overrides:
        `stop` in class `java.applet.Applet`

    - #### finalize

          public void finalize()
                        throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

    - #### getAppletInfo

          public java.lang.String getAppletInfo()

      Interface of applet to inform about author, version, and copyright
      Overrides:
        `getAppletInfo` in class `java.applet.Applet`

    - #### init

          public void init()

      Create thread that configures and initializes the viewer, loads system and user projects.
      Overrides:
        `init` in class `java.applet.Applet`

    - #### getParameter

          public java.lang.String getParameter(java.lang.String parm)

      Overwrite method to distinguish between standalone and applet version.
      Overrides:
        `getParameter` in class `java.applet.Applet`

    - #### run

          public void run()

      Configure and initialize the viewer, load system and user projects. One of the user projects may be selected here.
      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### main

          public static void main(java.lang.String[] args)

      Standalone application support. The main() method acts as the applet's entry point when it is run as a standalone application. It is ignored if the applet is run from within an HTML page.

    - #### paint

          public void paint(java.awt.Graphics g)

      Print info while initializing applet and viewer.
      Overrides:
        `paint` in class `java.awt.Container`

    - #### keyTyped

          public void keyTyped(java.awt.event.KeyEvent event)

      Event currently not handled.
      Specified by:
        `keyTyped` in interface `java.awt.event.KeyListener`

    - #### keyReleased

          public void keyReleased(java.awt.event.KeyEvent event)

      Event currently not handled.
      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`

    - #### keyPressed

          public void keyPressed(java.awt.event.KeyEvent event)

      Handles only the emergency exit of JavaView Lite when pressing ctrl-shift-x.
      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent event)

      No method body, just declared to fulfill interface WindowListener.
      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent event)

      No method body, just declared to fulfill interface WindowListener.
      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent event)

      No method body, just declared to fulfill interface WindowListener.
      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent event)

      No method body, just declared to fulfill interface WindowListener.
      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent event)

      No method body, just declared to fulfill interface WindowListener.
      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent event)

      Select display if window is instance of class Frame containing a display.
      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent event)

      Exit the application, or, if run as applet, close window.
      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

"

The software JavaView? is copyright protected. All Rights Reserved.
"